## darksnow 0.6.1

=== po/Makefile ===
all:
	msgfmt pt_BR.po -o pt_BR.mo
