=== debian/changelog ===
darksnow (0.7.1-3) unstable; urgency=medium

  * QA upload.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Update Standards-Version to 4.5.0
  * Use https with d/watch file.
  * Fix ftbfs with GCC-10. (Closes: #957120)
  * Remove whitespace from d/rules and d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Nov 2020 21:52:26 +0000

darksnow (0.7.1-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 16:51:59 +0300

darksnow (0.7.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release (Closes: #839027)
  * Set maintainer to QA Group (See: #846813)
  * Converted rules to dh format
    - Added d/clean
    - Drop patchutils from build-dependencies.
  * Compat level 10
  * Source format 3.0 (quilt)
  * Converted patches to quilt & refreshed
  * Converted copyright to DEP-5
  * Standards version 3.9.8
    - Replaced d/menu file with d/desktop
    - Stopped installing darksnow_icon.xpm

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 28 Dec 2016 20:45:59 +0000

darksnow (0.6.1-3) unstable; urgency=low

  * New Maintainer Closes: #497141.
  * Bump up standards-version to 3.8.3 No other changes.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Add my name to debian/copyright.
  * Fix watch file.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 21 Sep 2009 19:54:30 +0530

darksnow (0.6.1-2) unstable; urgency=low

  * QA upload, orphaning this package.
  * debian/menu: Fixed menu-item-uses-apps-section.

 -- Bart Martens <bartm@debian.org>  Sat, 30 Aug 2008 09:11:24 +0200

darksnow (0.6.1-1) unstable; urgency=low

  * Copied from Ubuntu to Debian.  Closes: #417046.
  * New upstream release, repackaged .orig.tar.gz.
  * debian/copyright: Updated.
  * debian/patches/fixing_Makefile.in.patch, debian/rules: Use CFLAGS as set
    by cdbs, moved a few things from the patch to debian/rules, removed use of
    dh_iconcache.
  * debian/menu, debian/watch: Added.
  * debian/control, debian/rules, debian/install: Use imagemagick to convert
    darksnow_icon.png to darksnow_icon.xpm for use in debian/menu.

 -- Bart Martens <bartm@knars.be>  Sun,  1 Apr 2007 10:25:03 +0200

darksnow (0.6-0ubuntu2) dapper; urgency=low

  * debian/compat:
    + Set compat to 5.
  * debian/rules:
    + use dh_iconcache .

 -- Zak B. Elep <zakame@ubuntu.com>  Tue, 11 Apr 2006 05:13:19 -0400

darksnow (0.6-0ubuntu1) dapper; urgency=low

  * New upstream release
  * updated the address of FSF at debian/copyright
  * updated debian/rules and patches to the new version

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri,  4 Nov 2005 15:01:09 +0000

darksnow (0.5.3-0ubuntu1) breezy; urgency=low

  * New upstream release
  * updated debian/rules and patches to the new version
  * man page now part of the upstream release

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 18 Oct 2005 00:26:46 -0400

darksnow (0.5.2-0ubuntu1) breezy; urgency=low

  * added Homepage to package description
  * removed unnecessary cdbs rules tarball.mk, autotools-vars.mk
  * removed unnecessary Build-Depends: build-essential, autotools-dev
  * created a manpage
  * created a patch to fix Makefile.in to Debian way
  * Initial Release.

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 19 Aug 2005 18:20:24 -0400
