=== debian/control ===
Source: darksnow
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), imagemagick, libgtk2.0-dev
Standards-Version: 4.5.0
Homepage: http://darksnow.radiolivre.org/

Package: darksnow
Architecture: any
Depends: darkice, ${misc:Depends}, ${shlibs:Depends}
Description: simple graphical user interface to darkice
 DarkSnow is a graphical interface written in GTK+2 for the darkice
 live streamer.
