=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh  $@

# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
#
# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
# include /usr/share/cdbs/1/class/autotools.mk
#
# update-config::
# 	[ -e ChangeLog ] || ln -s documentation/CHANGES ChangeLog
# 	[ -e README.en ] || ln -s documentation/README.en README.en
# 	[ -e README.pt_BR ] || ln -s documentation/README.pt_BR README.pt_BR
# 	[ -e icon/darksnow_icon.xpm ] || \
# 		convert -resize 32x32 icon/darksnow_icon.png icon/darksnow_icon.xpm
#
# reverse-config::
# 	rm -f ChangeLog README.en README.pt_BR icon/darksnow_icon.xpm
#
# binary-post-install/darksnow::
# 	rm -f $(CURDIR)/debian/darksnow/usr/share/doc/darksnow/README
#
# clean::
# 	rm -f config.status config.log Makefile *.o darksnow
