=== debian/watch ===
version=3
https://darksnow.radiolivre.org/pacotes/ darksnow-(.*)\.tar\.gz
